/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "@ionic/angular/css/normalize.css";
@import "@ionic/angular/css/structure.css";
@import "@ionic/angular/css/typography.css";
@import '@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "@ionic/angular/css/padding.css";
@import "@ionic/angular/css/float-elements.css";
@import "@ionic/angular/css/text-alignment.css";
@import "@ionic/angular/css/text-transformation.css";
@import "@ionic/angular/css/flex-utils.css";


  // .content{
  //   // border-top: 1px solid #3880ff;
  //   --background: #3880ff;
  //   border-top: 10px solid #ffca22;
  //   border-top-left-radius: 25px;
  //   border-top-right-radius: 25px;
  // }

  .content::part(background) {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
  }

  .local-lbl{
    font-size: 0.9rem !important;
    color: var(--ion-color-primary);
    --color: var(--ion-color-primary);
  }

  .title-lbl{
    font-size: 1.5rem !important;
  }

  ion-modal {
    &.bottom-end {
      align-items: flex-end;
      --height: auto;
      .ion-page {
        position: relative;
        display: block;
        contain: content;
      }
    }
  }

  .tool-bar{
    border-bottom: 6px solid var(--ion-color-primary);
    border-bottom-left-radius: 25px;
    // border-bottom-right-radius: 20px;
    box-shadow: 0 0 20px 0.1px var(--ion-color-primary);
    padding-bottom: 20px;
  }
  .logo{
    display: block;
    margin: auto;
    // margin-top: 70px;
    margin-bottom: 25px;
  }

  .bg-transparent{
    background: transparent;
    --background: transparent
  }

  .lst-item{
    border-bottom: 1px solid  var(--ion-color-primary-custom);
    // border-radius: 10px;
    margin: 0 5px 0 5px;
    // --background: #F5F5DC;
    // box-shadow: 0 0 3px 0.1px var(--ion-color-primary);
    box-shadow: var(--ion-color-primary-custom) 0px 10px 10px -5px;
    margin-bottom: 10px;
    background: transparent;
    --background: transparent;
    // --background: url('assets/icon/annie-spratt.jpg') no-repeat center;
    // background-size: cover;
    border-bottom-left-radius: 10px;
}

.al-input{
  margin: 0 !important;
  padding: 0 !important;
  border: 0 !important;
}

ion-accordion-group{
  ion-accordion {
      .ion-accordion-toggle-icon {
        color: var(--ion-color-primary);
        margin-right: -15px !important;
      }
  }
}


.al-input {
  --placeholder-color: #eee !important;
  --placeholder-opacity: 1 !important;
  border: 2px solid var(--ion-color-secondary) !important;
  /* Add a 2px blue border */
  border-radius: 5px !important;
  /* Add rounded corners */
  padding-left: 10px !important;
  /* Add some padding for spacing */
  height: 30px !important;
  margin: 5px !important;
}


.al-input::before {
  content: '';
  position: absolute !important;
  top: -2px !important;
  left: 5px !important;
  // border-top: 20px solid transparent; /* Adjust the size to control the cut */
  // border-left: 20px solid #007bff; /* Adjust the size and color to match the background */
  background-color: #fff !important;
  width: 50px !important;
  height: 3px !important;
}

ion-slides {
  max-height: 100%;
  max-width: 100%;
}

ion-segment-button {
  // --background-checked: var(--ion-color-primary);
  // --color-checked: var(--ion-color-primary-contrast);
  font-weight: 600;
}

.tool-bar-ad {
  border-bottom: 6px solid var(--ion-color-primary);
  border-bottom-left-radius: 25px;
  // border-bottom-right-radius: 20px;
  box-shadow: 0 0 20px 0.1px var(--ion-color-primary);
  background: url('./assets/icon/Floral.jpeg') no-repeat;
  background-size: cover;
  height: 40vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.schedule-alert button.alert-button-group {
  width: 33.33%;
}

.schedule-alert .alert-button-group .button-inner {
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.schedule-alert .alert-button-group-vertical {
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row ;
}

swiper-container {
  --swiper-pagination-bullet-inactive-color: var(--ion-color-step-200, #cccccc);
  --swiper-pagination-color: var(--ion-color-primary, #3880ff);
  --swiper-pagination-progressbar-bg-color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.25);
  --swiper-scrollbar-bg-color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.1);
  --swiper-scrollbar-drag-bg-color: rgba(var(--ion-text-color-rgb, 0, 0, 0), 0.5);
}

swiper-slide {
  display: flex;
  position: relative;

  flex-direction: column;
  flex-shrink: 0;
  align-items: end;
  justify-content: end;

  width: 100%;
  height: 100%;

  font-size: 18px;

  text-align: center;
  box-sizing: border-box;
}

swiper-slide img {
  width: auto;
  max-width: 100%;
  height: auto;
  max-height: 100%;
}

.card-sdw-n{
  box-shadow: none !important;
}